Subject: RE: [Pana] Issue 114: Clarify liveness test

From: [email-masked]
Date: Mon, 20 Dec 2004 11:13:16 +0200

I don't want to be troublesome, but let me try to give an example in
the scope of mobile devices and paging.

With the current liveness test approach PaC needs to be awake all the
time. This means that PaC can't trust the lifetime given by the PAA
and put the interface to sleep mode if it is not needed. It may be
that the interface wakes up, when the PANA-Ping-Reuqest arrives from
the PAA, but on some cases it may not. So, in this case the PANA
protocol is not deterministic enough IMHO and should be fixed. Any
solutions to this problem?

I also think that PAA/PaC retransmission timers should not depend on
the link layer, because PANA is link layer agnostic.

Br,
- Dan

> -----Original Message-----
> From: ext Yoshihiro Ohba [mailto:[email-masked]]
> Sent: 17 December, 2004 15:26
> To: Alper Yegin
> Cc: 'Yoshihiro Ohba'; Forsberg Dan (Nokia-NRC/Helsinki); [email-masked]
> Subject: Re: [Pana] Issue 114: Clarify liveness test
> 
> 
> On Fri, Dec 17, 2004 at 03:44:45PM -0800, Alper Yegin wrote:
> > > > > If we can specify the maximum values for the retransmission
> > parameters
> > > > > (e.g., defining the maximum value for "Max Request timeout
> > value"), I
> > > > > think we can deal with the out-of-synch problem to 
> some extent.
> > > >
> > > > We already have that. Please see MRC, MRT, and MRD values.
> > > 
> > > But those maximum values are configurable *variables" and 
> there is no
> > > *constant* upper-limit for those maximum values.
> > 
> > How can there be? Do you want to prevent people using PANA in
> > super-high-latency inter-galactic networks? ;-) 
> 
> I don't know how large the latency in such networks is.. :)
> 
> > 
> > Even if we had a limit on that, I cannot understand how this helps.
> > Still it is a configurable parameter and an impatient PAA 
> may blow away
> > PaC's session sooner than such a MAX timeout.
> 
> I'd say that state synchronization loss period can be bound to the
> extent determined by the upper-limits for those maximum values.  If
> the upper-limits are too large it won't help.  I don't have a strong
> opinion on having upper-limits for those maximum values.
> 	
> Yoshihiro Ohba
> 
> 
> 
> > 
> > Alper
> > 
> > 
> > 
> 

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: Yoshihiro Ohba <[email-masked]>
Date: Mon, 20 Dec 2004 00:15:09 -0500

> solutions to this problem?

The solutions would be similar to several proposals in the
discontinued IP paging work in the Seamoby WG.  If the paging protocol
is coupled with PANA liveness test, a paging registration operation
performed before the PaC enters a dormant mode can be a trigger for
the PAA to reduce the frequency of PANA-Ping exchange.  Also, the
dormant mode PaC will need to be paged before a PANA-Ping-Request
arrives.  In this case, the PANA-Ping-Request sent by the PAA will
become a trigger to page the dormant PaC.  The paging protocol and
PANA protocol can interwork this way with minimum dependency.

Yoshihiro Ohba